Name: xreconfig
Version: 1.01
Release: 1
Summary: Sets slovak keyboard and ISO8859-2 fonts.
Summary(sk): Nastavenie slovenskej klvesnice a ISO8859-2 fontov.
Source: xreconfig-%{version}.tar.gz
Copyright: GPL
Group: User Interface/X
Packager: Jan ONDREJ (SAL) <ondrejj@salstar.shadow.sk>
Requires: textutils, redhat-release >= 6.0, XFree86 >= 3.3.3.1-49, grep, gawk
Buildroot: /tmp/xreconfig-root

%description
This package allows to use Slovak keyboard under X11 server.
This reconfigurator also adds fontpaths to ISO8859-2 fonts.

%description -l sk
Tento balk povouje pouvanie Slovenskej klvesnice v prostred
XWindows. Tento konfigurtor tie prid cesty k ISO8859-2 fontom.

%changelog

* Mon May 17 1999 Jan ONDREJ (SAL) <ondrejj@salstar.shadow.sk>
- first rpm release, made from czsk-2.01

%prep
%setup -n xreconfig
%build

%install
rm -rf ${RPM_BUILD_ROOT}
# Install xreconfig script.
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -m 0755 xreconfig $RPM_BUILD_ROOT/usr/X11R6/bin
# install xreconfig
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc3.d,rc5.d}
install -m 0755 xreconfig.init $RPM_BUILD_ROOT/etc/rc.d/init.d/xreconfig
ln -sf ../init.d/xreconfig $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S89xreconfig
ln -sf ../init.d/xreconfig $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S89xreconfig
# install howto
mkdir -p $RPM_BUILD_ROOT/usr/doc/HOWTO
cp Slovak-HOWTO $RPM_BUILD_ROOT/usr/doc/HOWTO

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr(0644,root,root) %doc README.*
%config(missingok) %attr(0755,root,root) /etc/rc.d/init.d/xreconfig
%config(missingok) %attr(0755,root,root) /etc/rc.d/rc[35].d/*
%attr(0755,root,root) /usr/X11R6/bin/xreconfig
%attr(0644,root,root) /usr/doc/HOWTO/Slovak-HOWTO
